#ifndef PALWINDOW_H__
#define PALWINDOW_H__

#include "EditWindow.h"

class PaletteWindow : public EditWindow {
public:
	PaletteWindow() = delete;
	PaletteWindow(wxWindow *parent, wxWindowID id = -1, const wxPoint &pos = wxDefaultPosition,
		const wxSize &size = wxDefaultSize, long style = wxHSCROLL | wxVSCROLL, const wxString &name = "paletteWindow");

	virtual int GetTileSideLength() const;

	wxColour GetRgbColor(int index);

	wxColour GetRgbColor(int x, int y);

	void Load24BitRGBPalette();

	void LoadPalette();

private:
	void OnDrawATile(int tileindex);

	unsigned char palette[0x200];

};

#endif
